/srv/irclogs.ubuntu.com/2008/07/09/#ubuntu-server.txt

zulkirkland: apache will have to be changed to use the status_of_proc stuff00:00
kirklandzul: i'm considering that...00:00
owhkirkland: But isn't the point that status_of_proc will die if it doesn't return 0, don't we have to wrap it in the same code as we did in the lsb.functions, the if[] construct?00:00
kirklandzul: the only reason why i wouldn't is because the apache init script has it's own built in pid_of function00:01
kirklandzul: that seems to be smarter and more specific to apache's array of daemons00:01
owhzul: And it has internal knowledge on how apache works.00:01
kirklandzul: i'm inclined to leave that on as is00:01
* owh agrees00:01
owhSame is true for MySQL IIRC00:01
zul....only if you want it to change00:01
owhzul: Huh?00:02
kirklandzul: i'm inclined to allow init scripts that have smarter status) actions do their own thing00:02
kirklandzul:  and we use our status_of_proc() for those that don't have anything yet00:02
owhYes, the status) we're doing is to help people who don't have one yet.00:02
zulkirkland: oh I agree totally00:02
kirklandowh: i'm still thinking about your point00:03
owhzul: Standardising something that isn't standard makes no sense.00:03
ScottKProviding the function is standard.  That doesn't have to mean one and only one implementation.00:04
owhScottK: Yeah, I think we're all agreeing on that.00:05
ScottKOK.00:05
kirklandowh: so what do you recommend?00:09
kirklandowh: at is set -e, bind9 is not00:09
owhkirkland: Let's see if we can reason this out.00:09
owhkirkland: I agree with a b and c, but it doesn't fix anything.00:10
owhkirkland: So, the status function we built provides an output.00:10
owhkirkland: Hold on, I cannot recall, do we send the status back also?00:10
owhkirkland: Hmm, we do.00:11
kirklandowh: the status_of_proc() function return 0 on running, non-zero on not running00:11
owhkirkland: I suppose we could argue that the status_of_proc function succeeds, so it shouldn't return non-zero.00:11
owhkirkland: I don't particularly like my argument.00:11
owhkirkland: Ok, let's think about this in another way. Who is going to use status?00:12
kirklandowh: at is the only one of all of those that is set -e00:12
owhkirkland: That only means less work, but we haven't actually solved the problem.00:13
kirklandowh: state the problem00:13
owhkirkland: It's going to happen 5 years from now.00:13
owhkirkland: The problem is that exit $? doesn't return the result in the way that we intend it to in all cases.00:13
owhkirkland: That is. the status_of_proc() function return 0 on running, non-zero on not running00:13
lamontmore and more scripts will use -e over time, fwiw00:14
owhkirkland: So, five years from now, a happy hacker is going to come along, write an init.d script, use status and get burnt.00:14
owhlamont: That is my understanding also - mind you, that comes from your contributions :)00:15
kirklandowh: fine.  status_of_proc() itself is set -e safe00:15
owhkirkland: Yes.00:15
kirklandowh: so i think you mean that our usage of status_of_proc needs to be set -e safe too00:15
lamontit just means that the interface to it becomes "if $(status_of_proc ...); then .... ; else ... fi;00:16
owhkirkland: I think it does.00:16
lamontsee grep -q, for example00:16
kirklandowh: how about:00:16
kirkland    status_of_proc $DAEMON atd || exit $?00:16
kirkland    exit 000:16
owhkirkland: I don't know if that works, but it looks right.00:17
kirklandlamont: your thoughts?00:17
lamontstatus_of_proc $DAEMON && exit 0 || exit 100:17
owhlamont: But the 1 may not be correct.00:17
lamonts/1/$?/00:18
kirklandlamont: that's known and accepted?00:18
owhlamont: Why the && exit 0 ?00:18
lamontif it returned zero, then exit 000:18
kirklandowh: it just puts it all on one line00:18
owhAh one, liner :)00:18
lamontmore to the point A && B || C is a common abreviation of if A; then B; else C; fi00:19
kirklandlamont: how about:00:19
owhIt looks horrible, but we can make that work I think.00:19
kirkland        status_of_proc /usr/sbin/named bind9 && exit $? || exit $?00:19
lamontproviding of course, that B cannot fail00:19
lamontkirkland: ew00:19
kirklandlamont: or is the explicit "0" better?00:19
lamontI'd use the explicit zero00:19
kirklandlamont:         status_of_proc /usr/sbin/named bind9 && exit 0 || exit $?00:19
kirklandlamont: okey doke00:19
owhkirkland: That construct is asking for a "smarter" person to remove the trailing part.00:19
kirklandowh: :-D00:19
owhkirkland: Yeah, keep the 0.00:20
lamontowh: if it's a set -e script, then you just make the || and beyond be prefixed with a '#' :)00:20
owhHold on for a moment.00:20
owhlamont: That is where I was going too. Let me see if I can word this...00:20
owhIf we're in a set -e environment and a function call returns non-zero, the script is terminated, right?00:21
owhIf that is right, then what does the script terminate with?00:21
lamontnot precisely00:21
owhlamont: Lay it on me baby.00:21
lamontif a statement evaluates to non-zero, then it terminates00:21
lamontA && B || C is one statement00:21
kirklandlamont: i'd like the construct to be the same in either set -e or not set -e00:22
owhRight, but I'm stepping back a step.00:22
owhlamont: What if A is non-zero?00:22
lamontif A; then foo; fi is a bit more fishy, since foo exiting could kill the script00:22
lamontif A returns non-zero, then you do C00:22
owhlamont: The script terminates right?00:22
owhNo, hold on a mo.00:22
lamontif C returns 0, then you don't00:22
owhIf we only use A.00:22
owhForget about what we just constructed for a moment.00:23
owhIf the single statement is A.00:23
lamontA: if non-zero exit status, die with same00:23
owhThen if it is non-zero, it terminates right?00:23
lamontiff set -e00:23
owhRight00:23
owhSo, what exit code does it die with?00:23
lamont&& == "if the previous thing was successful (zero status), then do this thing too"00:23
owhNo, forget about the && and ||00:24
lamont-mix 635 : sh00:24
lamont-mix \! : set -e00:24
lamont-mix \! : sh00:24
lamont-mix \! : exit 200:24
lamont-mix 636 : echo $?00:24
lamont200:24
owhlamont: So, in a set -e environment, the code terminates with the exit code of the died statement.00:24
lamont           -e errexit       If not interactive, exit immediately if any untested command fails.  The exit status00:25
lamont                            of a command is considered to be explicitly tested if the command is used to control00:25
lamont                            an if, elif, while, or until; or if the command is the left hand operand of an “&&”00:25
lamont                            or “||” operator.00:25
lamontthat'd be from "man sh"00:25
owhSo, that means that in a non set -e environment, the exit $? exits with what it is supposed to.00:25
owhkirkland: My point appears moot. The code as it stands will work just fine and dandy in both environments.00:26
kirklandowh: cool, thanks.00:26
owhlamont: Do you agree?00:26
lamontwith which?00:26
lamontspecifically "the code as it stands" == ??00:27
owhThat the code we have now: http://launchpadlibrarian.net/13078414/diff.cron will work in both a set -e and non set -e space.00:27
owhlamont: As in, we don't need no fancy && exit 0 || exit $? parts.00:28
lamontowh: that's why the comment was: "They also don't take into account that several of these init scripts use "set -e", which makes "exit $?" a completely redundant no-op..."00:29
lamontwhich means upstream will call you strange names and not take your patch00:29
owhlamont: But that is only true in a set -e, not everywhere else.00:29
lamontit's not that it won't work, it's that it's redundant00:29
owhlamont: Yes. But you cannot remove it from all scripts, only from the ones that are set -e.00:30
owhlamont: Remember, we're trying to solve two things. Make a status function, and provide a code example for other script authors.00:30
lamontowh: which is specifically why the && || is better: it's clear, simple, and works without being redundant in all cases00:31
=== freaky[t] is now known as fReAkY[t]
lamontrelying on -e is bad. exiting without explicitly meaning to is also bad00:31
owhlamont: Now that is an argument I can agree with.00:32
owhlamont: Can we code this inside our status_of_proc() rather than require the construct in each init.d script?00:32
lamontif I call status_of_proc and it causes my script to exit, I'll have to hurt someone00:34
lamontfor the generic value of "I"00:34
owhlamont: Yuk, true, but yuk.00:34
owhCrap00:34
lamont        if start-stop-daemon --start --oknodo --quiet --exec /usr/sbin/named \00:35
lamontno different00:35
lamontin fact, the start) case of /etc/init.d/bind9 is not a bad example of using functions/commands that exit with, uh, exit codes00:36
lamontand it's not -e atm, I think00:36
owhlamont: In fact that's a whole lot prettier than "&&exit 0||exit $?"00:36
lamontright00:36
owhif status_of_proc $DAEMON atd; then00:37
owhlog_end_msg 000:37
owhelse00:37
owhlog_end_msg $?00:37
owhfi00:37
owhSomething like that.00:37
lamontnow look at the head of /etc/init.d/stop-readahead00:37
lamontowh: the atd syntax is exactly what the && || syntax is a short cut for00:37
lamontgrep -q "profile" /proc/cmdline || exit 000:38
lamontfunctions that return zero vs nonzero are extremely common.  and very useful,00:38
owhHmm, so at the moment we're really only arguing form :)00:39
* owh wakes kirkland back up.00:39
kirklandowh: ?00:40
owhkirkland: Turns out we do need the construct.00:40
kirklandowh: see http://pastebin.ubuntu.com/26063/00:40
owhkirkland: That's the one :)00:41
owhkirkland: Can we replace this: status_of_proc /usr/sbin/named bind9 && exit 0 || exit $?00:41
owhkirkland: With this: status_of_proc /usr/sbin/named $0 && exit 0 || exit $?00:41
owhOr even: status_of_proc $DAEMON $0 && exit 0 || exit $?00:42
owhProbably too obtuse.00:42
* owh goes to find a box to hide under.00:43
keeseveryone please upgrade your DNS servers.00:49
lamontowh: $0 in an initscript could be all kinds of things... many of them starting with Snn or Knn...00:51
lamontand what kees said... pls to be upgrading your nameservers00:51
owhlamont: Yeah and SEP :)00:52
* lamont steps back for about 15 minutes to do something that he's been tryingto get done since about 1PKM00:52
owhlamont: I haven't run a DNS server since I started with a satellite based Internet connection.00:52
lamont1PM even00:52
lamontand have they upgraded?00:53
lamontor do you care who you talk to?00:53
lamonthttp://www.kb.cert.org/vuls/id/80011300:53
lamonthttp://www.isc.org/index.pl?/sw/bind/bind-security.php00:54
owhlamont: Well, the "corporation" doesn't know shit from sherlock and trying to actually talk to someone who understands the issue is harder than ignoring it. I still haven't found a satisfactory resolution, but have settled with OpenDNS for the moment.00:54
owhlamont: It's not ideal by any stretch of the imagination.00:55
lamontowh: the only place where I currently use an opendns server, I don't actually use the answer other than to say "got one" vs "didn't get one"00:55
owhlamont: But I'm guessing that you're not in an environment where your workstation is the only CPU, that it is a laptop and that it is connected via a high latency connection.00:56
lamontowh: that sounds like a perfect description of a situation where I'd run a local named configured to forward00:57
lamontanyway, away for 15 min or so00:57
owhlamont: Lemmie know when you're back, we'll continue :)00:57
ChipzzI already tried asking this in #ubuntu-devel and #ubuntu-motu, but didn't get any response there01:20
ChipzzI'm looking for a little help on packaging a php extension01:20
Chipzz(the php zend guard/optimizer)01:21
Chipzzand I'm a bit at a loss as to where to put a certain file01:21
mathiazChipzz: have you looked at other php extension packages ?01:21
Chipzzyes but this is special01:22
Chipzzas in: really special01:22
owhChipzz: So, what is the file, why is it special, etc. Be specific.01:22
Chipzznormally, php extensions go in /usr/lib/php5/20060613+lfs01:23
Chipzznow I have /usr/lib/php5/20060613+lfs/ZendExtensionManager.so01:23
Chipzzwhich is correct01:23
Chipzzbut this extenion is actually a loader for other extensions (which are zend extensions, not php extensions)01:23
Chipzzcurrently I have this in /usr/lib/php5/zend/php-5.2.x/ZendOptimizer.so01:24
Chipzzbut I'm really not sure if this is correct, or if there is a better place01:24
* owh would have thought in /usr/share, but that might not be correct.01:24
Chipzzno, since it's arch dependant01:25
owhI suspect that there is a standard for that.01:25
Chipzzyou can (kindof) specify the directory where it should go:01:25
Chipzzzend_extension_manager.optimizer=/usr/lib/php5/zend01:25
Chipzzbut it takes a subdirectory (ie the php version) where it looks for the file01:25
owhChipzz: Are there other packages for other distributions?01:25
Chipzznot that I could find01:26
Chipzzthe thing is, it is a free download, but you have to register01:26
Chipzzwhich I would want to work around by creating a package which builds the package01:26
mathiazChipzz: do you plan to upload that to the ubuntu archive ?01:26
Chipzz(cfr wine and qmail)01:26
Chipzzmathiaz: I wouldn't mind contributing it, no01:27
Chipzzbut I'm not sure if it's suitable01:27
mathiazChipzz: what's the license ?01:27
Chipzznot exactly sure; there is a EULA and COPYRIGHT file which I can put online if you want to take a look?01:28
Chipzzerrr01:28
Chipzzthat should be: "cfr *pine* and qmail" above01:29
Chipzznot wine :)01:29
mathiazChipzz: you check with the ubuntu component definition - http://www.ubuntu.com/community/ubuntustory/components01:30
mathiazChipzz: to figure out in where this would go - I'd take a guess at multiverse01:30
Chipzzthere's also another issue with the package which I'm not sure about what to do01:31
Chipzzzend offers a couple of products, among which zend optimizer and zend platform01:32
Chipzzzend optimizer is a free download, zend platform requires a license01:32
Chipzzboth ship a version of the zend extension manager though, and both versions are different01:33
Chipzzon top of that, the version of the zend extension manager is seperate from the zend extensions it ships with01:33
owhChipzz: So, really, the file location question is a red herring.01:34
Chipzzie in the zend optimizer package (which has version 3.3.3), the zend extension manager version is 1.2.201:34
owhChipzz: You have other, bigger issues, to deal with first.01:34
nxvlmathiaz: augeas got sponsorship from kees one hour ago (or something)01:34
Chipzzowh: that would be one way of looking at it; for me proper packaging is important, and having a package which I can deploy on my servers is important to me01:35
mathiazChipzz: did you get in touch the maintainer that uploaded zend-framework (http://packages.ubuntu.com/hardy/web/zend-framework) ?01:35
Chipzzif I can contribute that back to debian/ubuntu in a way, that would be a plus01:36
owhChipzz: That is a fair enough point.01:36
mathiazChipzz: stephan seems to be the best person to talk to about your issue01:36
Chipzzmathiaz: hrrrm, I didn't notice that existed. I should take a look at that first I guess01:36
ChipzzI'm also looking to package other stuff which has less restrictive licensing01:37
Chipzzmathiaz: one package that may be of interest to you is... give me one second to look it up ;)01:37
nxvl_mathiaz: augeas got sponsorship from kees one hour ago (or something)01:38
nxvl_mathiaz: we can sync it when it's accepted01:38
=== nxvl_ is now known as nxvl
kirklandmathiaz: i just uploaded a bunch of patches to https://bugs.edge.launchpad.net/ubuntu/+source/sysklogd/+bug/20316901:38
uvirtbotLaunchpad bug 203169 in sysklogd ""status" function for init scripts" [Wishlist,In progress]01:38
Chipzzlibapache-mod-ldapcfg01:38
Chipzzbut that is packaged in debian01:38
mathiazChipzz: so it should be in ubuntu too01:39
owhkirkland: How come you keep giving us edge links?01:39
kirklandowh: i'm on the beta version of launchpad01:39
Chipzzalso looking at mod_spnego, which you may be interested in too01:39
Chipzz*interesting01:39
kirklandowh: their webserver should handle the redirection for you, no?01:39
nxvlyeah, i have the same edge. problems01:39
nxvl:P01:39
nxvlit should be some way to avoid it01:39
* nxvl will write a whislist bug against LP01:40
owhkirkland: Yeah, I see the site, it all works, but you've also used that URL in a bug report :)01:40
Chipzzhttp://sourceforge.net/projects/modgssapache/01:40
kirklandowh: i don't think it really matters01:40
mathiazChipzz: that seems interesting - are you using these in production ?01:40
kirklandi try to delete it when i think about it01:40
owhkirkland: Fair enough :)01:40
Chipzzmathiaz: not yet, just compiled it today01:40
kirklandowh: but I paste exactly 132847239723ad39820e Launchpad URLs every day ;-)01:40
Chipzzmathiaz: I need to get our reverse DNS in order, and then I'm going to try it on a test-server01:41
owhkirkland: Stop teasing :)01:41
Chipzzmathiaz: I'm willing to contribute packaging I do to debian and/or ubuntu01:42
mathiazChipzz: well - if you start compiling stuff and want to properly package it for you server I'd suggest to try to get it into debian/ubuntu - it will increase a lot the testing of you software01:42
Chipzzmathiaz: there are some things about libapache-mod-ldapcfg which I find suboptimal though, and which should be changed IMO01:42
mathiazChipzz: your package01:42
kirklandmathiaz: i have subscribed ubuntu-main-sponsors01:42
kirklandmathiaz: and I've pinged a couple of the package owners (lamont, slangasek)01:42
mathiazkirkland: great - that's the way to go :)01:42
Chipzzmathiaz: are there persons you suggest I coordinate with?01:43
mathiazChipzz: to do what ? upload new packages ?01:43
Chipzzupload/packaging itself/whatever01:43
owhkirkland: You realise in the samba patch that if the first is not running, but the second is, it returns the wrong exit code?01:43
Chipzzpeople to mentor me maybe01:43
kirklandowh: yes01:43
mathiazChipzz: MOTU is the best place the start - https://wiki.ubuntu.com/MOTU/01:43
Chipzzor sponsoring to get it into debian01:43
kirklandowh: that's why i put smbd second01:43
kirklandowh: as it's "more" important, perhaps?01:44
mathiazChipzz: if you're mainly interested in server stuff, the ubuntu-server team is also a good place to start01:44
owhkirkland: Only for those who don't depend on nmbd.01:44
kirklandowh: the most important thing is that it's 0 if both are running, and non-zero if either are running01:44
Chipzzmathiaz: yeah I think that is more the case01:44
mathiazChipzz: as for sponsoring in debian, you'd have to get in touch with debian and mentors - I'm less aware of things work in debian01:44
Chipzzmathiaz: I know about MOTU :) but given the response to me php question I doubt that's the right place to start ;)01:45
Chipzz*my01:45
owhkirkland: No, if nmbd is not running and smbd is running, it will return 0.01:45
mathiazChipzz: well - not everyone who is online a some point can give you the correct answer01:45
mathiazChipzz: it may require some patience - or ask on the ubuntu-motu mailing list01:45
kirklandowh: i disagree01:45
owhkirkland: You could "fudge" it by adding the result codes up :)01:45
owhkirkland: How so?01:45
* lamont iz bak01:46
kirklandowh: status starts out at 001:46
kirklandowh: first tests nmbd01:46
lamontkirkland: if ! status_of_proc smbd; then exit 0; fi01:46
lamontmeh01:46
owhhttp://launchpadlibrarian.net/15898688/samba.status.debdiff01:46
lamontstatus_of_proc smbd || exit $? || true\01:47
owhlamont: ^^01:47
lamontstatus_of_proc nmbd || exit $? || true\01:47
lamontexit 001:47
lamontand lose the \\01:47
mathiazChipzz: for new packages, have a look at https://wiki.ubuntu.com/UbuntuDevelopment/NewPackages01:47
kirklandlamont: see http://launchpadlibrarian.net/15898688/samba.status.debdiff01:47
lamontfor i in "nmbd" "smbd"; do01:48
mathiazChipzz: and if you want a mentor, there is the MOTU mentoring program01:48
lamontwth use quotes?01:48
owhkirkland: So, it starts at 0. nmbd is not running, so it changes. Then smbd is running, yuk. You are right, but yuk.01:48
kirklandlamont: i think the quotes make it easier to read01:48
Chipzzmathiaz: well, mentoring (I think) would not be the main issue; rather sponsoring for getting the packages in debian would01:48
mathiazChipzz: if you're mainly interested in -server stuff than I can figure out ways to get you started01:48
lamontkirkland: uh... ok.01:48
lamontin a violently non-shell way, yes.01:49
kirklandlamont: okay, i can remove the for loop01:49
owhROTFL01:49
kirklandsaves 1 line01:49
Chipzzmathiaz: currently mainly -server stuff, but possibly other packages too in the future01:49
mathiazChipzz: well - this is related to Debian - I cannot really help on that side01:49
mathiazChipzz: I can definetily help in getting stuff in ubuntu01:49
Chipzzmathiaz: yeah, but I'm guessing a lot of you guys are also debian maintainers, so I was thinking maintaining the package myself in ubuntu and having someone from the -server team do the uploads to debian would be best?01:50
owhlamont: So, running named locally and forwarding it right? So, pray tell, whom do I forward to and moreover, how will this resolve my high-latency link issues?01:51
owhChipzz: You are confused by common sense :)01:51
lamontowh: well, instead of always asking opendns, you could forward to them, and cache the response locally01:51
Chipzzmathiaz: while I would be interested in maintaining stuff in debian myself too, the long procedure to becoming a debian maintainer is daunting, and I'm not exactly sure if it's worth it01:52
owhlamont: Sure, but how would that improve the reliability of the responses I'm getting? Isn't that what sparked this discussion?01:52
mathiazChipzz: better the other way around if you really want your packages in debian01:52
Chipzzowh: well lamont sounds like a name I know from p.d.o ;)01:52
lamontChipzz: the correct way is to get a sponsor to upload to debian until you're done with the $PROCESS01:52
lamontowh: well, presumably you'd want to find a nameserver that (1) would answer you, and (2) has a patched BIND01:53
kirklandlamont: owh: try this on for size: http://pastebin.ubuntu.com/26086/01:54
owhlamont: So, it's going to speed up my resolution, which is great, but it's no different from pointing at an external DNS server. So, what I end up with is a named process that needs to hibernate when the laptop does, then wakes up, refreshes its cache and then starts serving me.01:54
Chipzzbtw, while I'm here... does anyone have any thoughts on this bug? http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=48799301:55
uvirtbotDebian bug 487993 in mysql-common "/usr/share/mysql/charsets/Index.xml should be shipped in mysql-common" [Important,Open]01:55
owhkirkland: The mechanics are the same. I'm not sure if lamont was picking you up on the for..loop, rather than the "0" status. I was commenting on the non-assignment which hasn't changed :)01:56
lamontyeah -for loop or not is fine.01:56
lamontthose quotes are offensive01:56
* owh hands kirkland some pain killers :)01:56
lamontbut then, I've coded in shell scripts for, um, long01:56
* owh recalls stories from before there was standard voltages too :)01:57
owh<grin>01:57
* owh checks the status_of_proc bit.01:58
owhlamont: I know where this comes from, the "0". We got picked up on it when we built the status_of_proc() function.01:58
owhlamont: kirkland was just following the same standard :)01:59
lamontyeah - technically, you shouldn't need the quotes there either...01:59
owhlamont: There was a whole debate about -eq and == and we made it the same everywhere IIRC.02:00
lamontheh02:00
owhlamont: If you want more grey hair: http://launchpadlibrarian.net/15896559/lsb.status.debdiff02:00
lamontah, so this status function has embedded output side effects...02:01
lamontlsb muppets02:01
lamont:-)02:01
owhlamont: Hey, no fair, kirkland and I keep finding bugs in other peoples lsb code :)02:02
lamontowh: I didn't mean you and kirkland...  I meant all those lsb folks who seem to not have a history of defensive shell programming02:03
kirklandowh: lamont: okay, fair enough.  quotes were gross.  the for loop was unnecessary.  are both of you happy with http://pastebin.ubuntu.com/26086/ as it stands?02:07
owhkirkland: It's your name on the wrapper - go for it :)02:07
lamontkirkland: looks to be good02:08
kirklandokay, i'll update the bug02:09
Chipzzkirkland: what if nmbd fails to start but smbd succeeds? or would that not be possible?02:11
owhChipzz: We covered that :)02:11
Chipzzlooking at http://pastebin.ubuntu.com/26086/ at looks like status would get overwritten?02:11
owhChipzz: So, status starts at 0. nmbd is not running, so status changes. Then smbd is running, status is not changed.02:12
Chipzzowh: whoops, looks like I meant the inverse02:13
Chipzz:)02:13
Chipzzwhich is still valid02:13
Chipzznm02:13
owhChipzz: We've been along this ground a few times now <grin>/02:13
Chipzzyeah I guess I'm just tired - past 3AM here ;)02:14
* ogra wonders if you guys put so much effort into getting status feedback, why dont you directly start porting to upstart and forget about the initscript ?02:15
owhROTFL02:15
owhogra: We covered that too :)02:15
ograah, well, i only saw the paste above, upstart is supposed to be the default in intrepid and the more we get ported the better02:16
ograso i thought i'D mention it :)02:16
owhogra: The original intent was to get this into hardy so we could have it for an LTS.02:17
owhogra: We ran into some opposition :)02:17
ograi saw the discussion02:17
ograand to be honest in ten years of debian server administration i have never actually missed status ...02:19
owhogra: We were trying to build some infrastructure to assist things like eBox etc.02:20
ograyeah, understood ... i dont object ... i just never personally found a use for it over ps02:20
owhkirkland: Very funny quote in that patch :)02:32
kirkland?02:32
owhThe uploaded patch with the comment about quotes :)02:33
owh(Not in the patch, but the submission)02:33
kirklandah02:38
owh:)02:38
owhAnyone know how to get rsync to use a password file with an encrypted password, rather than a clear text one?02:41
* owh wants to synchronise passwords between samba and rsync.02:42
jdstrandlamont, kees: good job on the bind9 update :)02:44
keesjdstrand: thanks!  lamont rocks.  :)02:44
lamontjdstrand: other than me still needing to get something sane into sid/intrepid... :0(02:44
lamontjdstrand: it helps that I had time to create the packages02:45
* jdstrand nods02:45
keesand we have reasonable regression testing tools.  :)02:46
jdstrandyeah for qa-regression-testing02:49
jdstrands/yeah/yea/02:49
owhkees, as an aside, are you responsible for the ubuntu usn feed?02:51
keesowh: I'm responsible for it's content (yes, we know it's ugly, plans are forming to deal with that)02:54
owhkees: FYI The feed appears to be missing <pre> tags, so the formatting goes to pot when viewed in something like Thunderbird.02:54
keess/it's/its02:54
keesowh: yeah, it looks very bad.  I *think* we have a solution, but I haven't had time to finalize it yet.02:54
keeswe were blocked for a while on some changes in the website, but that's done now.02:55
lamontthe beauty of 4 cores and non-threaded builds is that one need not feel guilt for playing a game while waiting for a build to complete02:55
owhkees: All good, it's not me then :)02:55
keesowh: no, certainly not.  it looks really really ugly.  ;)02:55
keeslamont: hehe02:55
owhlamont: That all depends on which game :)02:55
lamontlike the 4149 levels before it, this one _shall_ pass.02:56
lamontowh: the definitive timewaster02:56
lamontkobodeluxe02:56
owhSo was my samba/rsync question silly, unknowable, wrong, clueless ... ?02:56
lamontuh... dunno.  what was the question?02:57
owhAnyone know how to get rsync to use a password file with an encrypted password, rather than a clear text one?02:57
* owh wants to synchronise passwords between samba and rsync.02:57
lamontrsync over ssh?02:58
owhYeah, but that adds a whole layer of requirements for non Linux clients.02:58
owhThe real reason is so that a user doesn't accidentally overwrite someone elses backup.02:59
owhlamont: Hmm, kobo doesn't run on an N95 :)02:59
lamontheh02:59
owhlamont: Seems to run everywhere else :)02:59
owhlamont: Hmm, QNX as a platform to run kobo, seems someone has too much time on their hands.03:00
owhlamont: 574kB, now that's a selling point.03:05
lamontfrozen-bubble wins on the cool "you can do that with just perl and sdl????" front though03:06
owhlamont: I didn't know that. It's vewwy vewwy addictive :)03:06
lamontowh: so, rsync with encrypted passwords but not ssh?? dunno03:16
lamontpretty sure the rsync daemon just likes to have a secrets file that's cleartext03:17
lamontand certain that the proto defaults to all cleartext, all the time03:17
owhYeah, that's my understanding also.03:17
lamontmebbe an stunnel wrapper?03:17
owhThe rsync server is an embedded machine with very little in the way of CPU overhead left.03:17
owhThink NAS device.03:18
lamontthen encrypt before pushing.03:18
owhlamont: As I said, it's not so much "security" as "stop idiots from overwriting eachother's files".03:19
owhOf course, someone will give them all the same password, but that's a problem for a different day :)03:20
owhHmm, perhaps I can "force" the module based on the client's IP or MAC address03:21
lamontthat's just a matter of forcing the target based on source IP maybe?03:21
owhYeah, that's what I was just thinking.03:22
owhOoh, there's even an RSYNC variable for it: RSYNC_HOST_ADDR03:23
owh:)03:23
owhWFM, thanks for the comments lamont.03:24
Smaugdoes installing phpmyadmin require any repositories or anything on 8.04 hardy?04:12
SiMeoN_fresh install 6.10 server. cant remove cd from sources and add packman via command line.05:43
SiMeoN_try apt-get update. gives errors. can see default web page from another box on network. any ideas whats going wrong?05:44
RoAkSoAxSiMeoN_: pastebin your /etc/apt/sources.list file: pastebin.ubuntu.com05:45
SiMeoN_not familiar with vim. gedit not installed, any other editor to use?05:49
nxvlnano05:50
SiMeoN_thanks05:50
nxvlalso05:50
nxvli think 6.10 is not supported anymore05:50
* nxvl confirms05:50
nxvlyep05:51
nxvlalready dead this may05:51
RoAkSoAxnxvl: but i believe repos are still available right?05:51
nxvldon't think so05:51
SiMeoN_o come on.05:51
nxvlnope05:51
nxvlnot anymore05:51
nxvlhttp://pe.archive.ubuntu.com/ubuntu/dists/05:51
nxvl6.06 is still supported since it's LTS05:52
nxvlbut not 6.1005:52
SiMeoN_thanks05:52
RoAkSoAxyep, not available anymore05:52
nealmcbnote that folks can at least still do package installs and updates for 6.10 and earlier via the http://old-releases.ubuntu.com/ubuntu site07:36
nealmcbjust no security patches etc07:36
nealmcb..no _ongoing_ patches07:36
krautmoin08:07
hadsGood to know, not that I have any old boxes but good to know none the less.08:27
owhI'm in the process of writing an email to the list about Bug #242505, but before I do, are there any suggestions on a way to get this issue attended to?09:34
uvirtbotowh: Error: Could not parse data returned by Launchpad: The read operation timed out09:35
owhNiice09:35
owhhttps://bugs.launchpad.net/ubuntu/+source/linux-meta/+bug/24250509:35
uvirtbotLaunchpad bug 242505 in linux-meta "vmware kernel modules for 2.6.22-15 missing" [Undecided,New]09:35
owhThanks :)09:35
* owh just loves artificial intelligence :)09:35
exothello all, can anybody lead me to the starting point of constructing vpn server , a vpn connection from outside my company to use my internal services09:51
henkjanexot: https://help.ubuntu.com/community/VPNServer09:54
exothenkjan, thank you09:55
exotjust a question, does that able to use pptp ?09:55
henkjanthe ubuntu wiki is a nice source of documentation09:56
exotyes I know :)09:57
=== fReAkY[t] is now known as freaky[t]
jetolehey fellas13:04
jetoleI am looking for a log event management solution, something like splunk that allows me to analyze, search, graph log data etc but I am looking for something open source13:05
jetolebasically a free as in beer version of splunk, any ideas?13:06
gabbsHi, anyone got success installing an openvz-ish kernel image?13:25
gabbslinux-headers-2.6.24-20-openvz depends on linux-headers-2.6.24-20 however Package linux-headers-2.6.24-20 is not installed.13:35
gabbshow can I just build the linux-header deb ?13:35
\shgabbs: hmm? linux-headers-2.6.24-20 ? apt-get install ?13:38
gabbscan't find it13:39
ZynaCan someone tell me how I can delete a svn project serversided? I reated a test-project upon installation and now want to remove it...13:40
\shZyna: never...it needs some svnadmin magic13:40
Zynahow's that?13:41
\shZyna: svnadmin magic means: "rm -Rvf <dir to svn-project>" on the server where the repo is stored...or do I understand you totally wrong?13:42
\shgabbs: btw...where do you found 2.6.24-20?13:43
gabbsrepository13:43
\shgabbs: which repository? the latest I found was 2.6.24-1913:44
gabbsthe code repository13:44
gabbsgit13:44
\shah13:44
CrummyGummyHiya, whats the recomended pmacct client? pnrg looks good but i don't see it in the repo.13:44
gabbsbut someone in ubuntu-kernel told me how to fix it, so its all good now I think13:45
* gabbs tests13:45
Zyna\sh, aren't the svn projects stored in some kind of db? just deleting the directory wuld result in an empty project, wouldn't it?13:51
\shZyna: it would result in "no project anymore at all" :)13:51
Zyna\sh, ok, maybe I just thought about it to complicated... thx13:52
\shZyna: emptying the database, you can do imho only with the BDB tools which breaks the whole svn db, too...so wanting to recreate a project completly, just delete the whole dir with the db inside and all other svn infos...and svnadmin create <project> from scratch13:54
Zyna\sh, ok, this is weired... I just deleted the directory on the server, then co'ed the project successfully, it even transfered all the structure even though it is no longer present on the server...?13:57
\shZyna: you sure that your checkout path is on this server and not somewhere else?13:58
Zynaabsolutly, I use the IP to co14:03
\shstrange...I have: (example) my checkout path is: http://foo.bar.tld/svn/project .... and on the server where this svn repo sits, (in directory: /storage/svn/project) when I delete it: cd /storage/svn/ ; rm -Rvf project ; cd .. and do another checkout, the webserver tells me, that there is no /svn/project anymore...14:06
=== freaky[t] is now known as fReAkY[t]
Zyna\sh, maybe I am confusing something? here my dav_svn.conf, my project-directory and my successfull co -> http://ubuntuusers.de/paste/390089/14:11
nanderssonjetole, Have a look at RRDtool http://oss.oetiker.ch/rrdtool/14:13
nanderssonjetole, It does graphing, unfortunatly it is based on "sampling". I.e you cant recreate a graph from timestamps14:13
nanderssonjetole, rrdtool is developed by the same guy who made mrtg14:14
jetolenandersson: did you get the right name there14:23
jetoleI didn't ask anything about rrdlog, graphing or any of that14:23
jetoleI already use rrdlog too in cacti14:24
gabbsdoes anyone know if there is a simple openvz tutorial for ubuntu-server ?14:26
gabbsapparently the linux-image-openvz is not booting on my remote server =/14:26
jetolehttps://help.ubuntu.com/community/OpenVZ14:26
jetolethat was google hit 1 on ubntu openvz14:26
sorenIt's spelled "ubuntu"14:27
sorenThat must be why.14:27
jetoleheh14:27
jetoleactually it's this new thing, maybe you've heard about it14:27
jetolethey call it a typo14:27
sorenI hate those.14:27
jetole/ne too14:28
jetole:P14:28
soren:)14:28
jetolebtw, that was also hit 1 on help.ubntu.com too14:28
jetoleso no one can suggest a good log event management program (that is not splunk) eh?14:29
CrummyGummylogwatch?\14:29
CrummyGummyHobbit can also be configured to do regex searches on logs.14:30
jetoleyeah I use it14:30
jetolelooking for something to help build a good search and management solution though14:30
jetolehobbit?14:31
jetolelemme look that up14:31
CrummyGummyyup14:31
CrummyGummyits more for monitoring but can watch logs.14:31
jetolekinda like nagios + logs?14:31
jetolebtw, i fscking adore nagios14:32
CrummyGummyDunno, i havn't used nagios extensivly.14:32
\shZyna: your svn path is: /var/local/svn :)14:32
\shZyna: that's where your svn projects are hiding :)14:33
jetolenagios is very very very cool14:33
CrummyGummyhobbit works nicely and is easy to configure. No complaints.14:33
jetoleyou know14:34
jetolethis looks familier actually14:34
jetoleI think I used it once upon a time14:34
CrummyGummyNot big brother? It is a spin-off.14:35
jetoleanyways, nagios last night sent me a text message on my cell phone that our secondary sql server was down14:35
jetoleit kinda looks weak to me14:35
lukehasnonamehobbit is not as powerful as nagios14:36
jetoleone app I was looking at this morning was php-syslog-ng14:36
CrummyGummyLol, don't tell me about SMS's, I get way too many a day.14:36
Zyna\sh, nope, that's just where all the svn stuff lays... http://ubuntuusers.de/paste/390092/#14:36
jetolefrom?14:36
CrummyGummylukehasnoname: How so?14:36
jetoleI don't care about SMS from people14:36
CrummyGummyhobbit monitoring our custom services.14:36
jetoleI wanna know when corperate machine die14:36
\shZyna: yes..that's your repo dir...argl14:37
\shZyna: I think I understand your problem now :)14:37
lukehasnonamehobbit is good but from what I hear, nagios is more detailed, and has a large plugin system14:37
CrummyGummythey're gsm based and monitored useing a modem so there is the odd failure.14:37
Zyna\sh, when doing svn co IP/svn/project1/ I want it to say: Sry, there ain't no svn project there14:38
\shZyna: you have something like this: http://foo.bar/svn/trunk/project1 http://foo.bar/svn/trunk/project2 etc. and you want to remove project2 from the repo..14:38
ZynaYES14:38
\shZyna: svn help remove  :)14:38
Zynathx... gotta go do some errounds... thx for the support14:38
jetoleCrummyGummy: I have not used hobbit, but what lukehasnoname was saying, well let's put it this way, it currently does snmp, smtp, pop3, http, ftp, https and mssql checks for where it verifies the service itself and doesn't just look for an open port, it manages parents so if a router is out then it tells me instead of telling me 20 services dies because it doens't know the router to them died14:39
jetoleand it manages snmp traps and notifies on them as well14:40
jetoleit handles notifications, it can tell you if a disk is too full or cpu has peaked or if a service on said host is not running14:40
jetolenagios really does own14:41
jetolelog management is just the last aspect that I need, cacti and nagios seem to cover all else14:41
* soren is a munin+nagios sort of person14:42
* jetole has never heard of munin14:42
CrummyGummyThe next version (tm) of hobbit  will have snmp trap support. And the heirarchical router thing you were talking about isn't supported. The rest is in hobbit.14:42
jetoleHugin and Munin are the ravens of the Norse god king Odin. They flew all over Midgard for him, seeing and remembering, and later telling him.14:42
sorenjetole: Yes....14:43
jetoleI love how this munin home page tells me more about norse gods then even their faq does about what munin does14:44
sorenmeanwhile, in the real world, hugin is a panorama picture generation application and munin is very much like cacti.14:44
CrummyGummyDamn not another mythical named project. Try searching google for hobbit support...14:44
jetoleoh14:44
jetolefound the "about munin"14:44
gabbsAnyone got an idea what the meaning is of "Starting up ..." and then the systems doesn't boot at all?14:44
gabbsThe message doesn't change14:44
gabbsjust a blinking cursor14:44
jetolegabs, post grub?14:45
gabbsno idea - I have a remote console attached to the server (its remote) and thats all I see14:45
gabbshmm ... I could send a signal to hard reset the box14:45
jetoleI would14:45
jetoleip kvm?14:45
gabbsLARA eco14:46
jetoleyes would have also been a good answer14:46
gabbswell, I wanted to be specific14:47
jetoleI know, I just didn't care what kind14:47
soren"Yes, LARA eco", would be both useful and specific :)14:48
gabbstrue :P14:48
jetoleyeah14:48
jetoleI had to google it to know it was a kvm over ip14:48
sorenI had to wait for someone to google it to know it was a kvm over ip14:48
jetolesee gabbs we all had to wait for me to google it14:49
gabbsit says grub loading stage2, then Starting up ... and thats it14:49
jetolelol14:49
jetoleok, escape grub this time and remove the quiet option from the kernel14:49
gabbslol yea - sorry guys :D14:49
gabbshow do you escape grub?14:49
jetolealthough14:49
jetolefrom what I hear14:49
gabbsit shows very briefly, not sure I can get in there14:49
jetolesounds like grub14:49
jetoleescape it with the escape key14:50
* CrummyGummy never got kvm working over a remote terminal. btw, is there a port for the HP proliant tools in the ubuntu repo?14:50
jetoleCrummyGummy: doubt it14:50
* gabbs tries14:50
jetoleit took me forever to get the dell DRAC kvm cards working over firefox like the add from dell claimed it would14:50
jetoleeven senior open management techs from dell told me it won't work but it does now but only cause of some obscure blog I found14:51
CrummyGummyIt should work over a net terminal no?14:51
jetolesoren, what do you use for log management?14:52
sorenjetole: What exactly do you mean by "log management"?14:52
jetolewell logwatch is great but lots of people have lots of systems sending logs to a server and surely someone must know a program to help sort and search and analyze the data14:53
jetolesplunk does just that but it's either crippled or expensive14:53
gabbsjetole, just ESC -> d on quiet, then b to boot, right?14:54
sorenRight now, I don't bother. I just leave them on the servers so that I can go look at them if I'm bored.14:54
jetolegabbs: I think14:54
jetolesoren: you don't deal with many server issues, do you?14:54
gabbswell, thats what I think too, but it still only shows Starting Up ...14:54
sorenI used to work at a place where we just grabbed all the logs from all the servers via ssh when they had been rotated, but didn't do any analysis of them.14:54
jetoleI have a dozen windows servers and about 15 linux servers aggregating in syslog on one server14:55
sorenjetole: Yeah. Trouble with that is that it only works for stuff that uses syslog.14:55
jetolewhen an issue arises it's a pain to deal with that14:55
sorenDefine "server issues".14:56
jetolesoren: that is linux, windows two sonic wall firewalls at our firm14:56
sorenMy job is to deal with a type of server issues, so that's what I do all day.14:56
sorenI don't deal with Windows.14:56
jetoleserver issues: something is not working the way it is supposed to on a server14:56
jetole?14:56
sorenMy stuff works.14:56
sorenSorry.14:56
soren:)14:56
sorenWhen something is failing, that's when I go look at the logs.14:57
jetoledon't worry, I hate windows too but that option came with the job14:57
jetoleme too14:57
sorenunless it's ssh that's broken, it's not much of a problem to have to log into a different machine to inspect logs.14:57
jetolebut greping and parsing, etc etc gets to be a pain in the ass on huge log files14:57
sorenAnd even then, it's rarely a problem. All but one of my servers are virtual, so I have console access.14:58
sorenjetole: *shrug*14:58
jetoleyeah14:58
gbookshello!14:58
jetoleworld!14:58
gabbsis there a grub channel here on freenode or do I go to #linux ?14:58
gbooks*grin*14:58
sorenI think it's more of a pain to try to guess ahead of time what's going to break in order to make good patterns to look for.14:58
gbookshaving an issue with a new lamp install on JeOS14:58
sorenWhat's the problem?14:59
jetolealright, well I have to scoot for a bit14:59
ATA_Dark_Shadowgabbs unless its a network boot grub prob i would suggest you go to #ubuntu and try there14:59
CrummyGummysoren: Do you use a network console to connect to your virtual servers? KVM?15:00
gabbshmm, #ubuntu is full of "how can I load my ipod and log on to MSN" questions that flood the channel15:00
gabbsit will be hard to place a question there methinks15:00
jetolepidgin answers one of those15:01
jetolebut I agree15:01
gbooksthat is a good question.15:01
jetole#ubuntu is a shit channel15:01
gbooksgave up on it last night.15:01
sorenCrummyGummy: Err.. no.15:01
gbookslet me remember!15:01
sorenCrummyGummy: Why on earth would I do that?15:01
* jetole leaves15:01
gabbsyea jetole - gonna give it a shot anyway, at this point I am desperate :P15:01
sorengabbs: What is your problem?15:02
sorengabbs: I mean that in the helpful way.15:02
gabbsheh15:02
gabbswell, all I get is "Starting up ..." when booting15:02
sorennot the "hey, wtf is your problem?!?" way.15:02
gabbsand there seems nothing I can do about it15:02
sorenOh, that.15:03
CrummyGummysoren: You make it sound like a bad thing? I need to setup a few virtual machines and I'd like to do that without traveling to the server room. I can't think of a better way. Just the implementation I'm not sure of.15:03
sorenCrummyGummy: Then I don't understand what you mean.15:03
sorenCrummyGummy: I don't hook up a special network console to interact with my virtual machines. I connect via vnc.15:04
CrummyGummyI tried the vnc thing. It failed for some reason. (I can't remember why) I'll try that again.15:05
CrummyGummynetconsole seemed like the easiest option. It just doesn't work. for me anyway...15:05
=== fReAkY[t] is now known as freaky[t]
sorengabbs: So you don't even get to pick a kernel in Grub?15:06
gabbsI do15:06
gabbsI hit ESC, get the selection, remove quiet and savedefault and all, press b to boot it then and its the same15:06
gbookshmmm.  can't seem to locate the error, but still can't seem to open the index.html page using an internal IP.15:07
gbookswhen I run this: netstat -lnp | grep ':80' I get this: tcp        0      0 0.0.0.0:80              0.0.0.0:*               LISTEN      6360/apache215:08
gbooksshould there be no IP or an IP other than 0.0.0.0?15:08
Deeps0.0.0.0 means it's bound to any and all ips15:08
sorengabbs: Then what makes you think it's a grub issue?15:08
gabbswell, tries several kernels15:09
gabbs*tried15:09
sorengabbs: Yes.... ?15:09
gbooksduh.  I should know that!15:09
gbooksthen nuts, why can't I connect?15:09
talathi all i bought hp ml110 g5 server but i dont apply raid1 how can i do  ?15:10
talati use 8.0415:10
gbooksin theory, by going to the server IP on my local network I should be able to hit the /var/www/index.html page, no?15:11
Deepsyup15:11
Deepscan you ping the server ip? can you ssh to the server? is there any firewalling on the server, or between you and the server?15:11
Deepsare you sure you're not typo-ing the ip?15:12
sorenAny ipv6 involved?15:12
sorengabbs: Did you try the recovery option?15:12
gbooksthat's what I thought!  any settings I may want to check?15:12
gbooksno ipv6.15:12
gabbssoren, I am getting somewhere :D15:13
gabbsnow it stops at: Checking 'hlt' instruction... OK.15:13
gabbsthen stops at that point15:13
* gabbs consults google15:14
sorenWhat's the hardware?15:14
gbookscan ping.  not typo-ing IP (although I've been known to!)15:14
gabbsAMD XP3000+, 1GB RAM15:15
sorengbooks: I'm not sure I've heard yet what "can't connect" means...15:15
gabbs(yea, oldskool)15:15
sorengabbs: That should be fine.15:15
gabbsit seems he fails to either find or detect the number of CPU's15:16
gabbsbecause thats apparently the next output15:16
gbooksno firewalling... I may have forgotten to mention this is a VM installation.  shouldn't make a difference... I can SSH in, and ping from the host server.15:17
gbooksjust can't seem to connect via http15:17
gbooksthanks soren.  I usually forget key details when explaining things!15:17
sorenI still haven't heard what "can't connect" means.15:18
gbooksnot sure my message made it through15:18
sorengabbs: Which kernel are you using?15:19
gbooks"can't connect" is can't connect via http from host server to this VM15:19
soren...15:19
Deepsdoes it refuse the connection or time out?15:19
gbookstime out15:19
sorenHang on..15:19
sorenYou can SSH and ping from the host server, you say?15:20
sorenWhere are you trying http frmo?15:20
sorenfrom, even?15:20
gbooksfrom the VM host server15:20
sorenOk.15:20
gbookswhich can ping the VM in question15:20
sorenping is special, though.15:21
sorenIt can also ssh?15:21
gabbssoren, I am using linux-image-2.6.24-20-openvz15:21
gbooksI can SSH from host server just fine15:21
sorengabbs: Could you try a non-openvz kernel, perhaps?15:21
Deepsgbooks: try restarting apache?15:22
Deepsand/or try connecting from the vm to localhost15:22
Deepslocalhost/http to see if it can manage that15:22
sorengbooks: Did you say earlier that you can connect to it from other places? Or am I just confused?15:23
gbooksDeeps, just restarted via: apache2 -k restart15:23
gbooksnetstat looks the same as previous.15:24
Deepstry to connect to the http server from the vm15:24
gbookssoren, only trying from host server atm, no external IP yet...15:24
Deepsuse telnet/netcat/links/whatever15:24
Deeps(i'm assuming you dont have a gui)15:24
sorenI blame firewalls.15:25
gbookslet me check something...15:26
gbooksI have another VM that has external IP and connects via HTTP just fine, and also cannot connect on local IP.  methinks my network is screwy!15:27
gbooksI'll have to pick this up later.  Thanks Deeps!  Thanks soren!15:28
talatcan you help me i wanto use raid card on hp porliant ml110 g515:42
talatbut hp give redhat and suse driver15:42
talathow can i fix ?15:42
gabbswhat kernel cpu config would you set for a athlon xp ?15:49
gabbsits not exactly a K7, not a a64 either15:49
sommeranyone know of a way to unserialize data serialized with php's serialize function using python?15:53
trakinashello guys! big troubles with ssh...15:54
trakinashttp://pastebin.us/?show=m7dc3a77215:54
zulkirkland: are you ok with those patches that you mailbombed yesterday15:55
sommernm, there's no built in method... sigh15:55
kirklandzul: hang on15:55
zulsommer: php? whats that..15:55
kirklandzul: don't commit yet15:55
zulkirkland: ok15:56
kirklandzul: i think those patches (the ones that use status_of_proc()) are fine15:56
zulkirkland: let me know when15:56
kirklandzul: however, there's some discussion as whether or not status_of_proc() is complete15:56
sommerzul: trying to unserialize some data from a db that's been serialized using php, but only I want to use python because it's sort of a shell script15:56
kirklandzul: I'm working on another patch to status_of_proc() that I hope will satisfy a couple of questions from slangasek, lamont, and mdz15:56
zulkirkland: heh good luck :)15:57
lamont"questions".  heh15:57
kirklandzul: thanks, i'm going to need more than luck15:57
kirklandzul: i need "The Force"15:57
zulsommer: heh15:57
lamontkirkland: keep that ducttape away from me15:57
kirklandas in "You don't need to see his identification...."15:57
kirklands/identification/justification/16:00
kirklandlamont: hey, i just subscribed you to 24673516:17
lamontmeh16:17
lamont:-)16:17
kirklandlamont: i have a patch at the bottom of there that adds pidfile support to status_of_proc16:17
lamontah, ok16:17
kirklandlamont: and solves the user-not-root-but-using-kill problem in a backward-compatible way16:17
lamontnice16:18
lamontbug 24673516:18
uvirtbotLaunchpad bug 246735 in lsb "status_of_proc() calls pidofproc() which calls kill, requiring ownership privileges on the process" [Medium,Fix released] https://launchpad.net/bugs/24673516:18
kirklandlamont: let me know if i'm on crack ;-)16:18
* lamont really needs to remember the stupid url templ;ate16:18
lamontbugs plural, not in the hostname, and no '+'.  got it16:18
lamontstatus_of_proc "-p /var/run/bind/run/named.pid" bind916:21
lamontew16:21
lamontbut yeah, it's not terribly insanely unreasonable16:21
uvirtbotNew bug: #246990 in amavisd-new (universe) "amavisd-release broken on 8.04 LTS" [Undecided,New] https://launchpad.net/bugs/24699017:16
Zyna\sh, ping!18:12
ZynaCan somebody help me with a svn problem? I've created a test project upon installation, now I want to completely remove it from the server... my project lies in /svn/project1/ I've deleted the entire directory however, I can still successfully co the project from my local machine. How do I delete the project from the svn server (serversided) I am aware, that I can do a svn rm, however, that would just remove the files and not the project it18:15
Zynaself18:15
* delcoyote hi18:23
=== dantaliz1ng is now known as dantalizing
=== yell0w_ is now known as yell0w
ctx144khello all19:55
ctx144kanyone knows how to setup kolab2.1 with ldap 2.4 under ubuntu8.04-server?19:57
ctx144kanyone knows that there exist any "ready" kolab2.2 packages for ubuntu8.04-server?19:57
uvirtbotNew bug: #228619 in samba (main) "samba group share not writable by group members" [Undecided,Incomplete] https://launchpad.net/bugs/22861920:52
ScottKsoren: Do we have a writeup on why kvm over zen?21:01
ScottKzen/xen21:01
lukehasnonameI haven't looked thoroughly yet, but I hope the KVM ubuntu documentation is really top-notch, because there aren't any books on KVM out. Xen has the edge on that market, and might be why it's still very popular21:03
sommeroh don't worry about that... it's super duper!21:03
zulsuper duper?21:06
sommermy synonym for top-notch :)21:07
specialKevinI am having issues trying to install a Hardy (8.04) DomU on top Xen Dom0, when during the install the kernel panics and the DomU shuts down and when I start it back up the install starts again21:33
specialKevin6.06 installs and runs fine with our Xen setup and if I trying to install 6.06 and then upgrade to 8.04 the only kernel that will boot is the 6.06 recovery kernel21:34
specialKevinI looked through launchpad and could find a similar bug and I am not sure what component I should file a bug against or if anybody knew a similar bug report already21:34
specialKevinor if anybody knows any solutions/work arounds for this problem that would be great21:35
telexiconI'm trying to install 8.04.1 and when reading from the cd it eventually fails, looking at the console log there are a bunch of messages about ata exception emask 0x0 sact 0x0 (frozen) soft resetting link21:46
cl0sI'm trying to install ebox, I did .. sudo apt-get install ebox ... downloaded all the libs and installed them fine then at the end it breaks when actually installing ebox..21:49
cl0sThe ebox group has not been set in the config file.Creating the eboxlogs database21:49
cl0si googled but couldnt find anyone with tthe exact same error message.. breaks even when i use the ebox repos...21:50
cl0sdpkg: error processing ebox (--configure):  .... the entire message is .. http://pastebin.ubuntu.com/26301/21:51
cl0sI'm pretty sure I had it working at one time.. then I apt-get removed it.. but I was trying to get it back and play with it again, not sure if it recently broke or it broke because I had it installed before.. i tried removing the old certs and config files it had put in before also for it to regenerate them..21:55
lukehasnonameWhen I'm at work, I have to use IE6 for net access. Whenever I go to LP I get a "This page contains secure and nonsecure items. Continue?" error on EVERY page.22:13
lukehasnonameIs there a way to disable this in IE or should LP be coded better? >_>22:14
ScottKlukehasnoname: No I don't think you can disable it and in this case it's not LP that should be coded better.22:16
lukehasnonamedamn.22:17
ScottKLP could do better about not using TLS where it's not needed, but it's a complex problem for them.22:20
telexiconLP?22:23
Nafallolaunchpad22:24
kirklandlamont: hiya22:27
kirklandlamont: looks like slangasek and i have agreed upon an implementation of status_of_proc() that supports pidfiles22:27
kirklandlamont: I opened a new bug with a one-liner to fixup bind9's init script as such.22:28
kirklandlamont: https://bugs.launchpad.net/ubuntu/+source/bind9/+bug/24708422:28
uvirtbotLaunchpad bug 247084 in bind9 "bind9 init script status_of_proc() call should use pid" [Low,In progress]22:28
uvirtbotNew bug: #236794 in bind9 (main) "dig crashed with SIGSEGV in start_thread() (dup-of: 113417)" [Undecided,New] https://launchpad.net/bugs/23679422:40
uvirtbotNew bug: #247084 in bind9 (main) "bind9 init script status_of_proc() call should use pid" [Low,In progress] https://launchpad.net/bugs/24708422:41
kirklandzul: https://bugs.launchpad.net/ubuntu/+source/at/+bug/247091 is ready for sponsorship22:41
uvirtbotLaunchpad bug 247091 in at "at init script should suppor t the 'status' action" [Wishlist,In progress]22:41
sorenScottK: Not an accurate one, no.22:48
ScottKsoren: Since the decision in made, I think it would be highly useful to have an answer to that FAQ that we could reliably use.22:51
ScottKI get asked by people who know I'm an Ubuntu dev and it'd be nice to have an accurate answer to give them.22:51
sorenScottK: Sounds reasonable.22:51
lamontkirkland: coolness22:52
nxvlmm22:56
nxvli need to talk to foolano22:56
nxvli have found coolness with sooner augeas support22:57
nxvlhttp://config-model.wiki.sourceforge.net/22:57
nxvl:D22:57
uvirtbotNew bug: #247096 in dovecot (main) "dovevot init script should support the 'status' action" [Wishlist,In progress] https://launchpad.net/bugs/24709623:15
nxvlkirkland: is there a list of services with missing status function to help with while augeas get accepted23:17
nxvl?23:17
kirklandnxvl: owh generated a list a while back23:17
kirklandnxvl: i don't remember where he put it23:17
kirklandnxvl: if you have an intrepid box, grep for status) in your /etc/init.d directory23:18
kirklandnxvl: rather, find scripts in /etc/init.d that don't have "status)"23:18
nxvlwill try23:19
nxvlnow i need to go for a bit23:19
kirklandnxvl: see the list of bugs in https://bugs.launchpad.net/ubuntu/+source/lsb/+bug/203169/comments/3323:19
uvirtbotLaunchpad bug 203169 in sysklogd ""status" function for init scripts" [Wishlist,In progress]23:19
kirklandnxvl: all of those have patches23:19
nxvli will figure out a way to have a list23:20
kirklandnxvl: you can follow those for a model23:20
kirklandnxvl: yeah, or generating a list of init scripts missing status actions23:20
kirklandnxvl: i had a script that found those at one time....23:20
kirklandnxvl: as did owh23:20
nxvlyeah23:20
nxvlby have a list i mean generate it23:21
nxvlnow i need to go for a bit23:21
nxvlkirkland: i will ping you at night when i expect to have it23:21
nxvl:D23:21
nxvlread you!23:21
uvirtbotNew bug: #247103 in openssh (main) "ssh init script should support the 'status' action" [Wishlist,In progress] https://launchpad.net/bugs/24710323:21
uvirtbotNew bug: #247087 in samba (main) "samba init script status action" [Low,In progress] https://launchpad.net/bugs/24708723:25
QuatrokingHi23:35
Quatrokingis this the channel for help with Ubuntu Server Edition?23:36
RoAkSoAxQuatroking: yes it is23:36
QuatrokingAlright23:36
QuatrokingI need some help with mine, I can't get the network working.23:36
RoAkSoAxmathiaz: are server guide translations going to stay in rosetta or gonna change to bzr?23:36
RoAkSoAxQuatroking: ask your question :)23:36
QuatrokingWell, I'd like to know how I can set up my network.23:37
QuatrokingIt won't seem to connect to it at all23:37
RoAkSoAxQuatroking: you mean you want to configure an interface to connect to an specific network?23:38
QuatrokingWell I cant get any coinnection to my network whatsoever23:38
Quatrokingconnection*23:38
QuatrokingI've tried to ping google, but then i get "connect: Network is unreachable"23:38
RoAkSoAxQuatroking: pastebin your /etc/network/interfaces and /etc/resolv.conf23:39
QuatrokingI'm currently on an other pc as the Server has no internet connection.23:39
QuatrokingThe server is next to me, though.23:40
RoAkSoAxQuatroking: what are you using to connect to internet, switch? router?23:40
RoAkSoAxdo you have DHCP enabled on your network?23:40
QuatrokingI have a PC running Win2K which uses a WiFi to connect to the internet, and passes on the internet signal to a switch.23:41
QuatrokingYes, I have DHCP enabled.23:41
QuatrokingThe Win2K machine acts like an access point, sort of.23:42
QuatrokingThe switch does show some network activity though23:43
RoAkSoAxQuatroking: ok, so win2k is your gateway which has dhcp enabled so that your clients gain an IP address dynamically, right?23:45
QuatrokingYes.23:45
RoAkSoAxQuatroking: ok so, check your /etc/network/interfaces file an should show something like: iface eth0 inet dhcp23:46
Quatrokinghow do i open the file again?23:46
Quatrokingi forgot the command.23:46
RoAkSoAxQuatroking: cat /etc/network/interfaces will show the file contents23:46
Quatrokingit says23:48
Quatroking"auto lo23:48
Quatrokingiface lo inet loopback"23:48
RoAkSoAxQuatroking: ok, so that means that your network card is not there, do this now: ifconfig23:48
RoAkSoAxand tell me if it shows information for eth0 or eth1 or something like that23:48
Quatrokingno eth0 or eth1.23:49
Quatrokingonly that lo again23:49
RoAkSoAxQuatroking: maybe your network card has not been recognized or something like that.. try using lshw and see if it shows your network card23:49
RoAkSoAxor ping 127.0.0.1 to see if loopback is working23:50
Quatrokingit throws down a whole list, how can i read all of it?23:50
Quatrokingand pinging works23:51
RoAkSoAxQuatroking: lshw | more or you can filter by: lshw | grep "string"23:51
Quatrokinghow do i stop the pinging?23:52
RoAkSoAxQuatroking: try issuing a: sudo ifup eth0 or sudo ifup eth1 or restarting networking sudo /etc/init.d/networking restart23:52
RoAkSoAxQuatroking: Ctrl +C23:52
RoAkSoAxwhat i'm guessing is that your network card has not been detected when you installed ubuntu server...23:53
RoAkSoAxyou can try modifying /etc/network/interfaces and add: auto eth0 iface eth0 inet dhcp23:53
RoAkSoAxauto eth023:53
RoAkSoAxiface eth0 inet dhcp23:53
Quatroking"ïgnoring unknown interface eth0=eth0."23:54
RoAkSoAxQuatroking: what about eth123:54
Quatrokingsame but with a 123:54
RoAkSoAxQuatroking: ok so it seems that your network card has not been detected23:54
Quatrokinghow do I install it?23:54
RoAkSoAxQuatroking: what network card are you using?23:55
QuatrokingI got two cards in it, a 3com and an intel23:55
RoAkSoAx!help23:55
ubottuHi! I'm #ubuntu-server's favorite infobot, you can search my brain yourself at http://tinyurl.com/5zfb6t - Usage info: http://wiki.ubuntu.com/UbuntuBots23:55
Quatrokingi can check the product code of the 3com, but  I don't know about the intel23:55
Quatrokingthe 3com is intergrated by the way23:55
RoAkSoAxQuatroking: so is it a 3com network card or intel network card?23:56
Quatrokingboth.23:56
Quatrokingit got 2 cards.23:56
Quatrokingone intergrated and one in the PCI bay23:56
RoAkSoAxQuatroking: those are the supported 3com cards: https://wiki.ubuntu.com/HardwareSupportComponentsWiredNetworkCards3Com?highlight=(3com)23:56
mathiazRoAkSoAx: nope - the server guide translation should stay in rosetta23:56
mathiazRoAkSoAx: We'd probably try to get rid of the po file in the bzr branch23:57
mathiazRoAkSoAx: and add them only when uploading a src deb23:57
RoAkSoAxmathiaz: ok cool (btw, discard my comments in your blog :))23:57
Quatrokingoh, i was wrong, the 3com is in the pci bay, and the intel is intergrated23:58
mathiazkirkland: are you doing some iso testing for alpha2 ?23:59
kirklandmathiaz: not at the moment23:59
mathiazkirkland: I've tried to boot a test install in kvm and it doesn't work AFAICT23:59
kirklandmathiaz: i'm finishing the init script stuff23:59
Chipzzmathiaz: I only realized this after you left... zend-framework is something totally different; zend-framework is a set of php classes (ie php files), zend-platform and zend-optimizer are zend extensions. so zend-framework is of no use to me packaging wise ;)23:59
kirklandmathiaz: yeah, kvm is hosed for intrepid right now23:59
RoAkSoAxQuatroking: try using a live cd and verify is the cards are recognized... otherway you'll have to install the drivers manually... and sorry got to go23:59

Generated by irclog2html.py 2.7 by Marius Gedminas - find it at mg.pov.lt!